services:
  db:
    environment:
      MYSQL_ROOT_PASSWORD: !reset null
      MYSQL_ROOT_PASSWORD_FILE: /run/secrets/db_password
    secrets:
      - db_password

secrets:
  db_password:
    file: ${DB_PASSWORD_SECRETS_FILE:?No db secret file set}
